Technical documentation

Documentation REST API v1

Everything you need to integrate Geoptim AI into your tools and workflows.

Manage my tokens

Quick start

The Geoptim AI API uses Bearer authentication. Include your token in the Authorization header of every request.

Base URL
https://geoptim.ai/api/v1

Authentication

All requests must include an Authorization header with your Bearer token.

Authorization header
Authorization: Bearer <your-token>

Scans

GET /scans Lister tous les scans
POST /scans Lancer un nouveau scan
GET /scans/{id} Récupérer un scan
GET /scans/{id}/results Résultats d'un scan

Projects

GET /projects Lister les projets
POST /projects Créer un projet
GET /projects/{id} Détail d'un projet
DELETE /projects/{id} Supprimer un projet

Reports

GET /reports/{scan_id} Rapport complet d'un scan
GET /reports/{scan_id}/pdf Exporter en PDF